<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package Digital
 */

// Exit if accessed directly.
defined( 'ABSPATH' ) || exit;

get_header();

$container = get_theme_mod( 'digital_container_type' );

?>
<div class="container">
<div class="wrapper" id="page-wrapper">

	<div class="<?php echo esc_attr( $container ); ?>" id="content" tabindex="-1">

		<div class="row">

			<?php
			$postID = get_queried_object_id();
			$layoutmeta = get_post_meta($postID, '_pagepost_digital', true);
			$showsidebar = get_theme_mod('digital_sidebar_pages', true);

			if($showsidebar){
			// Do the left sidebar check and open div#primary.
			if ('ls' == $layoutmeta) {
				get_template_part( 'sidebar-templates/sidebar', 'left' ); ?>	
				<div class="col-md-8 content-area" id="primary"> 
			<?php }elseif( 'lr' == $layoutmeta){ 
				get_template_part( 'sidebar-templates/sidebar', 'left' ); ?>
				<div class="col-md-6 content-area" id="primary">
			<?php }elseif('fc' == $layoutmeta){ ?>
					<div class="col-md-12 content-area" id="primary"><?php
				}elseif('rsd' == $layoutmeta){ ?>
					<div class="col-md-8 content-area" id="primary">
				<?php }else{
						get_template_part( 'global-templates/left-sidebar-check' );
					}

				}

			?>

			<main class="site-main" id="main">

				<?php
				while ( have_posts() ) {
					the_post();
					get_template_part( 'loop-templates/content', 'page' );

					// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) {
						comments_template();
					}
				}
				?>

			</main>

			<?php
				if($showsidebar){
					if ('rsd' == $layoutmeta) {	?></div><?php
						get_template_part( 'sidebar-templates/sidebar', 'right' );
					}
				elseif ('lr' == $layoutmeta){ 
					?></div><?php
					get_template_part( 'sidebar-templates/sidebar', 'right' ); 
				}
				elseif('fc' == $layoutmeta || 'ls' == $layoutmeta){ ?>
					</div><?php
				}else{
					get_template_part( 'global-templates/right-sidebar-check' );
				}
			}
			?>

		</div><!-- .row -->

	</div><!-- #content -->

</div><!-- #page-wrapper -->
</div><!-- #container -->
<?php
get_footer();
